Bug 5575 - Serbian locale update from sr_YU to sr_CS
Summary: Serbian locale update from sr_YU to sr_CS
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xlib (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Daniel Stone
QA Contact:
URL: http://srpski.org/locale
Whiteboard:
Keywords: l10n, patch
Depends on:
Blocks:
 
Reported: 2006-01-12 08:22 UTC by Milos Komarcevic
Modified: 2006-06-01 16:46 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Patch for sr_CS locale support (5.71 KB, patch)
2006-01-29 05:59 UTC, Milos Komarcevic
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Milos Komarcevic 2006-01-12 08:22:49 UTC
The country's name changed from "Yugoslavia" to "Serbia and Montenegro" almost
three years back, and the ISO code accordingly from YU to CS. Changes have
already been adopted in glibc and are slowly propagating further, so please
update XOrg accordingly. Note that we have _two_ locales, sr_CS (default
cyrillic) and sr_CS@Latn, more details are given in the link above.

Current state of the problem when programs are launched with LANG=sr_CS:
'Gdk-WARNING **: locale not supported by Xlib'
'Gdk-WARNING **: cannot set locale modifiers'
Comment 1 Milos Komarcevic 2006-01-29 05:59:40 UTC
Created attachment 4498 [details] [review]
Patch for sr_CS locale support

This is a patch for the new sr_CS locale, comments and improvements are
welcome. Also, not sure if I need to remove sr_YU and sh_YU from compose.dir
and locale.dir at this point already?
Comment 2 Milos Komarcevic 2006-02-21 21:28:08 UTC
Would anyone be free and interested in reviewing the proposed locale support
patch? We're very keen on having it backported in time for Fedora Core 5...
Comment 3 Daniel Stone 2006-06-01 16:46:08 UTC
committed to libX11 git


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.